html {
    /* background: rgb(82, 0, 38); */
    /* background: linear-gradient(180deg, rgb(36, 1, 58) 0%, rgb(49, 0, 82) 50%, rgb(36, 1, 58) 100%) ; */
    background: linear-gradient(180deg, rgb(90, 0, 42) 0%, rgb(128, 6, 62) 50%, rgb(90, 0, 42) 100%);
    width: 100%;
    height: 100%;
    font-family: "Lato", "Sans Serif";
}
body {
    margin: 0;
    outline: 0;
    padding: 0;
    appearance: none;
    text-decoration: none;
    font-weight: normal;
}
a {
    text-decoration: none;
}
.centered {
    align-items: center;
    color:#ffffff;
}
h1 {
    font-size: 4em;
    font-kerning: none;
    text-decoration: none;
    appearance: none;
    font-family: "Metal Mania";
}
.example-header {
    display:flex;
    justify-content: center;
    position: relative;
    text-align: center;
    flex-flow: row nowrap;
    font-family: "Sans Serif";
}
.example-header .header-text {
    color: #ffffff;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    width: fit-content;
    position: relative;
    height: 28px;
    font-size: 2em;
    line-height: 18px;
    font-weight: bold;
    padding: 0 10px;
    margin-top: 29px;

}
.random-examples {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    position: relative;
    box-sizing: border-box;
    width: 80%;
}
.syntax-examples {
    justify-content: center;
    align-items: center;
    display: flex;
    flex-flow: column nowrap;
}
.example-button {
    background-color: #ffffff;
    border: 1px solid #333131;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    border-left: black;
    padding: 5px 5px 5px 5px;
    border-radius: 5px;
    margin: 0 0 20px 0;
    width: 100%;
    box-sizing: border-box;
}
.example-text {
    text-align: left;
}
.example-text span {
    color:black;
    display: block;
    width: 100%;
    margin: 2px 0 0 0;
    font-size: 18px;
}
.example-text code {
    color: rgb(128, 6, 62);
    margin: 0 0 2px 0;
    font-size: 20px;
    line-height: 1.2;
    white-space: nowrap;
}
#search {
    max-width: 800px;
    width:100%;
    height:20%;
    font-size: 25pt;
    background-color: #ae6eab;
    border-color:white;
    border-radius: 100px;
    padding: 8px 14px 8px 62px;
    text-decoration-color: rgb(0, 0, 0);
}
.inner-flex {
    height:95vh;
    display: flex;
    justify-content: center;
    margin: 0 auto;
    max-width: 1000px;
    position: relative;
    text-align: center;
    padding: 0 5%;
    flex-flow: column nowrap;
}
.links {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    margin: 10px auto 0 auto;
    opacity: 0.90;
    text-align: center;
    box-sizing: border-box;
    gap:10px;
}
.buttons {
    color: #ffffff;
    border-color: rgba(255, 255, 255, 0.6);
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    width: fit-content;
    position: relative;
    height: 28px;
    font-size: 2em;
    line-height: 18px;
    font-weight: bold;
    padding: 0 10px;
    border: 2px solid rgb(255, 255, 255);
    margin-top: 6px;
    padding: 5px 5px 5px 5px;
    border-radius: 100px;
}
input::placeholder {
    font-style: italic;
    font-size: 25px;
}

